package jalview.io;

import jalview.gui.AlignFrame;

import org.junit.Assert;
import org.junit.Test;

public class Gff3tests
{

  private static String exonerateSeqs = "examples/testdata/exonerateseqs.fa",
          exonerateOutput = "examples/testdata/exonerateoutput.gff";

  @Test
  public void testExonerateImport()
  {
    // exonerate does not tag sequences after features, so we have a more
    // conventional annotation import test here

    FileLoader loader = new FileLoader(false);

    AlignFrame af = loader.LoadFileWaitTillLoaded(exonerateSeqs,
            FormatAdapter.FILE);

    Assert.assertEquals("Unexpected number of DNA protein associations", 0,
            af.getViewport().getAlignment().getCodonFrames().size());

    af.loadJalviewDataFile(exonerateOutput, FormatAdapter.FILE, null, null);

    Assert.assertNotEquals("Expected at least one DNA protein association",
            0, af.getViewport().getAlignment().getCodonFrames().size());


  }
  // @Test
  // public final void testPrintGFFFormatSequenceIArrayMapOfStringObject()
  // {
  // fail("Not yet implemented");
  // }
  //
  // @Test
  // public final void testAlignFileBooleanStringString()
  // {
  // fail("Not yet implemented");
  // }

}
